libbonobo 2.32.1
 	* Translation updates

libbonobo 2.32.0
	* Translation updates

libbonobo 2.31.91
	* Port to GDBus
	* Translation updates

libbonobo 2.24.3
	* Set up dbus environment in test-activation/test.sh (Ray Strode)
	* Fix memory corruption (Michael Meeks)
	* Updated translations (ast, bn, ca@valencia, cy, en@shaw, gl)

libbonobo 2.24.2

Ani Peter (2):
      Updated Malayalam Translation
      Updated Malayalam Translation

Denis Arnaud (1):
      Updated breton translation, added br in LINGUAS file

Djihed Afifi (1):
      Updated Arabic translation

Ignacio Casal Quinteiro (1):
      Updated Galician translation

Ivar Smolin (2):
      Updating Estonian translation
      Updating Estonian translation

Kjartan Maraas (1):
      Remove duplicate to fix build with automake-1.11

Miquel Esplà (1):
      Added Valencian-Catalan translation

Rajesh Ranjan (1):
      hindi updated by Rajesh Ranjan

Rodrigo L. M. Flores (1):
      Updated Brazilian Portuguese mailing list address.

Shankar Prasad (2):
      added kn.po and updated ChangeLog and LINGUAS
      updated kn.po

dumol (1):
      Updated Romanian translation


libbonobo 2.24.1
	* Win32 portability fixes (Tor Lillqvist)
	* cleanups for newer glib releases (Cosimo Cecchi)
	* Other cleanups for single glib includes (Przemysław Grzegorczyk)
	* Cross-compiling fixes (Fridrich Strba)
 
libbonobo 2.24.0
	* Threading fix (Tor Lillqvist)
	* Updated translations (ar, hr, pt, ro, ta, te)

libbonobo 2.23.1
	* Fix a race (Michael)
	* Documentation improvement (Tobias Mueller)
	* Check that we're initialized properly (Tobias Mueller)

libbonobo 2.23.0
	* Use D-BUS to start and exit when the session ends.
	* Build fixes.
	* Translation updates.

libbonobo 2.22.0
	* Fix warnings from GCC 4.3.x
	* Translation updates.

libbonobo 2.21.90
        * Fix build with glib 2.15.4.

libbonobo 2.20.4
	* Fix build on Solaris (Brian Cameron)
	* Fix potential situation hanging the entire desktop (Michael)

libbonobo 2.20.3
	* Fix some gcc'isms causing problems with glib 2.15.0
	* fix C99ism

libbonobo 2.20.2
        * Fix regression introduced in 2.20.0
        * Code cleanup

libbonobo 2.20.1
	* Plug some leaks (Matthias Clasen, Kjartan)
	* Updated translations
	  - Norwegian nynorsk (Kjartan)
	  - Thai (aka.ape)
 
libbonobo 2.20.0
	* Add unit test for bug 427992. (Gustavo Carneiro)
	* Align configure switches (Gilles Dartiguelounge)
	* Updated translations:
	  - Arabic (Khaled Hosny)
	  - Bengali (Djihed Afifi)
	  - Finnish (Ilkka Tuohela)
	  - French (Stéphane Raimbault)
	  - Italian (Milo Casagrande)
	  - Malayalam (Ani Peter)
	  - 
libbonobo 2.19.5
	* Use gmodule-no-export-2.0 instead of gmodule-2.0 (#449841)
	* Win32 fix for pipe macro (Tor Lillqvist)

libbonobo 2.19.4
        * Fix b-a-s crash with legacy client (Gustavo Carneiro)
        * Code cleanup (Kjartan Maraas)
        * Use glib/gi18n[-lib].h instead of bonobo-i18n.h (Christian Persch)
        * Fix memory leak reported by valgrind (Matthias Clasen, Gustavo)

libbonobo 2.18.0

	* Code cleanups (Kjartan)
	* Build fix (Loïc Minier)
	* Updated translations:
	  - Albanian (Laurent Dhima)
	  - Bengali Indian (Runa Bhattacharjee)
	  - Brazilian Portugese (Leonardo Ferreira Fontenelle)
	  - Dutch (Timo Meinen)
	  - Dzongkha (Pema Geyleg)
	  - Finnish (Illka Tuohela)
	  - Greek (Simos Xenitellis)
	  - Gujarati (Ankit Patel)
	  - Hungarian (Gabor Kelemen)
	  - Lithuanian (Gintautas Miliauskas)
	  - Macedonian (Jovan Naumovski)
	  - Polish (The GNOME PL team)
	  - Romanian (Mişu Moldovan)
	  - Russian (Leonid Kanter)
	  - Serbian (Goran Rakić)
	  - Tamil (I Felix)
	  - Traditional Chinese (Chao-Hsiung Liao)

libbonobo 2.17.92

	* Further reduce relocations (Christian)
	* Compiler warning fixes (Matthew Barnes)
	* Updated translations:
	  - Illka Tuohela (fi)
	  - Gabor Kelemen (hu)
	  - GNOME PL Team (pl)
	  - Leonardo Ferreira Fontenelle (pt_BR)
 
libbonobo 2.17.91

	* Build fixes (Gustavo, Kjartan)
	* Compiler warning fixes (Kjartan)
	* Factor out some more popt references (Christian)

libbonobo 2.17.90

	* Fix leaks (Chris Heath)
	* Code cleanups (Kjartan, Gustavo)
	* Fixes for unit testing (Gustavo)
	* Remove unneeded checks before g_strdup/g_free (Kjartan)
	* Fixes to reduce relocation (Christian)
	* Win32 fixes (Tor)
	* String fixes (Christian, Ernani Azevedo, Gustavo, David Lodge)
	* API-docs fixes (Matthew Barnes)
	* Depend on the right version of ORBit2 (Mark Johnson)
	* 
 
libbonobo 2.16.0

	* API DOC fixes (Alex, Gustavo)
	* Don't check for xrdb or dladdr when we don't use them (Kjartan)
	* Updated and new translations

libbonobo 2.15.3

	* Fix ghtread configure test when building uninstalled (Brian Cameron)
	* Various bonobo-activation login fixes (Michael)
	* Various cleanups of exception handling (Gustavo)
	* Fixes for panel sometimes hanging on login (Alex)

libbonobo 2.15.2

	* Warning and build fixes. (Marcus Meissner, Kjartan)
	* Revert a change that caused segfaults during make check
	  (Kjartan)
	* New and updated translations

libbonobo 2.15.1

	* Fix Coverity reports for leaks, accessing uninitialized memory
	  and null pointer derefs (Michael, Kjartan)

libbonobo 2.15.0

	* Add new MIME api to make gnome-vfs not have a hard dependency on
	libbonobo (Alex)
	* Fix some leaks (Kjartan)
	* Win32 portability fixes (Tor)
	* po/LINGUAS porting (Przemysław Grzegorczyk)
	* Port to GOption from popt (Michael Terry)
	* Build fixes and cleanups (Michael Meeks, Kjartan)
 
libbonobo 2.13.93

	* Always pass program arguments to bonobo_activation_init (Michael)
	* Fixed re-enterancy problems on slow machines (Michael)
	* Translation updates:
                * Rhys Jones (cy)
		* Hendrik Brandt (de)
		* Kostas Papadimas (el)
		* Inaki Larranaga (eu)
		* Gabor Kelemen (hu)
		* Luca Ferretti (it)
	        * Changwoo Ryu (ko)
		* Žygimantas Beručka (lt)
		* Artur Flinta (pl)
		* Duarte Loreto (pt)
		* Raphael Higino (pt_BR)
		* Leonid Kanter (ru)
		* Slobodan D, Sredojevic (sr, sr@Latn)
		* Maxim Dziumanenko (uk)
                * Funda Wang (zh_CN)

libbonobo 2.13.1

	* Fix corruption issue that was causing hangs on login (Michael)
	* Fix GOption argument parsing typo (Christian Perch)
	* Unregister run-time defined ServerInfos on program exit (Gustavo)

libbonobo 2.13.0

	* Rework the end-user installation location independence code for Win32 (Tor Lillqvist)
	* Don't use deprecated functions (Kjartan)
	* Fix build on solaris 10 with sun studio 10 compiler [#315145]
	* Add support for GOption argument parsing in libgnome (Pawel Sliwowski, chpe) [#307312]
	* Merge cleanups from stable (Kjartan)
	* Translation updates:
		* Mahay Alam Khan (bn)
		* Jordi Mallach (ca)
		* Miloslav Trmac (cs)
		* Martin Willemoes Hansen (da)
		* Adam Weinberger (en_CA)
		* Francisco Javier F. Serrador (es)
		* Ivar Smolin (et)
		* IÃ±aki LarraÃ±aga Murgoitio (eu)
		* Christophe Merlet (RedFox) (fr)
		* Ignacio Casal Quinteiro (gl)
		* Ankit Patel (gu)
		* Gabor Kelemen (hu)
		* Mohammad DAMT (id)
		* Alessio Frusciante (it)
		* Takeshi AIHANA (ja)
		* Changwoo Ryu (ko)
		* Erdal Ronahi (ku)
		* Huib Kleinhout (nl)
		* Leonid Kanter (ru)
		* Marcel Telka (sk)
		* Christian Rose (sv)
		* Baris Cicek (tr)
		* Clytie Siddall (vi)

libbonobo 2.10.1

	* Release this so we have coherency after having released
	2.10.0 twice...

libbonobo 2.10.0

	* bug fixes
		+ fix includes (Gustavo)
		+ export dynamic fix (Mark)
		+ OS/X fix (Shreyas)
		+ man page fixes (Dan Jacobson)
		+ dataroot fix (Stepan Kasal)
	* features
		+ port to Win32 (Tor Lillqvist)
		+ language list memory saving (AlexL) 

libbonobo 2.8.1

	* bug fixes
                + Fix registering server right after installing its
                  server info file (Mark McLoughlin)
                + Server search optimization (Padraig O'Briain)
                + Fix autoheader warnings (Thomas Vander Stichele)
                + Fix crash when BonoboApplication returning GValue
                  with NULL string (Gustavo)
                + Fix linking on Darwin (Hans Petter Jansson)
                + Fix problem with locale env variables (Mark, Ryan Lortie)
        * misc.
                + Documentation for bonobo:environment property (Gustavo)
                + README updated (Michael)

libbonobo 2.6.0

	+ featurelets
		+ uninstalled pkg-config files (Glynn Foster)
		+ configure cleanup (Tomasz Kloczko)

libbonobo 2.5.4

	+ bugs fixed
		+ application init (Gustavo)
		+ program arg translation (Anders, Hidetoshi)
	+ featurelets
		+ *Application* documentation (Gustavo)
		+ better activation debugging (Rodrigo, Michael)

libbonobo 2.5.3

	+ bugs fixed
		+ regression tests problems (Gustavo)
		+ AIX portability (Albert Chin-A-Young)
	+ featurelets
		+ improve b-a-s debug code (Michael)
		+ use syslog for run-time spew (Michael Terry)

libbonobo 2.5.2

	+ bugs fixed
		+ _active query cache fix (Michael)
		+ property bag logic bug fix (Dave Jones)
		+ backwards compat dameon fix (Michael, Crispin Flowerday)
		+ object directory fixes (Gustavo)
		+ l10n docs fix (Martin Kretzschmar)
		+ BonoboApplication fixes (Gustavo)
		+ use environ not _environ for Solaris (Michael)
	+ featurelets (Gustavo)
		+ b-a-s tracks dead clients
		+ updated tests

libbonobo 2.5.1
	+ ...

libbonobo 2.3.6

	+ bugs fixes
		+ improved tests (Gustavo)
		+ improved FAQ (Gustavo)
	+ featurelets
		+ bogus inheritance trap (Michael)


libbonobo 2.3.5

	* Bugs fixed
		+ reference tracking race (Gustavo Carneiro)
		+ incompatible activation-client fix (Antonio Xu)
		+ popt fixage (Michael, Damien Carbery)
	* Featurelets
		+ factory regression tests (Gustavo)

libbonobo 2.3.4

	* Bugs fixed
		+ don't use C++ keyword in C code (Frederic Crozat)
		+ fix activation test linking and script (Michael)
	* Translations
		+ az (Metin Amiroff)
		+ id (Mohammad Damt)
		+ ml (Guntupalli Karunakar)
		+ nl (Huib Kleinhout)
		+ bn (Mahmudur Rahman)
		+ fi (Pauli Virtanen)
		+ ru (Russian team, Dmitry G. Mastrukov)
		+ da (Ole Laursen)
		+ sr (Serbian team, Danilo ÃÂ egan)
		+ sq (Laurent Dhima)

libbonobo 2.3.3
	* Features
		+ use Gdk::WindowId for Bonobo_Canvas (Michael)

	* Bugs fixed
		+ CORBA_boolean handling in property bag (Dan Winship)
		+ cancel pending timeouts when destroying factory (Gustavo Carneiro)		


libbonobo 2.3.2

	* Features
		+ very much improved API docs (Gustavo Carneiro,
		  Martin Kretschmar, Rodrigo Moya)
		+ dynamic b-a-s path update (Antonio Xu)
		+ fix DNS reverse-lookup (Shailesh Mittal, Michael) 
		+ always run in thread-safe mode (Michael)
		+ tentative BonoboObject locking action (Michael)
		+ new thread policy APIs (Michael)
		+ bump default factory timeouts (Gustavo)
		+ more regression tests (Michael, Gustavo)
	* Bugs fixed
		+ de-linc-ization (Michael)
		+ build fixes (Jens Granseuer, Martin)

libbonobo 2.3.1

	* Features
		+ lots more API & other doc work (Gustavo)
		+ selectable BonoboObject POAs (Michael, Gustavo)
		+ re-factored activation server (Michael)
		+ merged bonobo-activation (Michael)
		+ unknown app registration (Gustavo)
		+ cygwin build fixes (Masahiro Sakai)
		+ BonoboForeignObject - for bindings (Gustavo, James H)
	* Bugs fixed
		+ BonoboArg improvements (Gustavo)
		+ make check doesn't trash /tmp (Michael)
		+ remove .so library suffix (Michael)
		+ trailing ; fixes (Padraig O'Briain)
		+ C++ BonoboArg bits (Martin Kretzchmar)
		+ gettext fixes (Hidetoshi Tajima)
		+ build fixes (Thomas VS, James H, Carlos Marin)
	* Translations
		+ am - Daniel Yacob, de, fa, mk, nl - Pablo Saratxaga
		+ ro - Marius Andreiana, mn, id, eo, sr - Christian Rose
		+ ml - Guntupalli Karunakar

libbonobo 2.2.0

	* Features
		+ large pretty new docs; lots of work
		    (Gustavo J.A.M. Carneiro)

	* Bugs fixed
		+ translation fix (Abel Cheung)
		+ portability fixes (James H.)
		+ build fixage (Julio Merino, Frederic Crozat)

libbonobo 2.1.0

	* Featurelets
		+ add async property set API (Michael)
		+ add QI C wrapper for convenience (Michael)
		+ make release_unref async - pending ORB fixes (Michael)

libbonobo 2.0.1

	* Bugs fixed
		+ leak fix (Kjartan Maraas)
		+ 64bit GType cleans (hhetter)
		+ init/shutdown count (Padraig O'Briain)
		+ -pthread LIBS fix (Michael)
		+ build clean fixes (Padraig O'Briain)
	* i18n
		+ pt_BR, lv Gustavo Noronha Silva, Peteris Krisjanis
		+ el, cs Simos Xenitellis, Stanislav Brabec

libbonobo 2.0.0

	* Featurelets
		+ add BonoboObject padding (Michael)
		+ add --enable-debug config option (Gustavo GirÃ¡ldez)

libbonobo 1.117.1

	* Bugs fixed
		+ quiescence after destroy for
		  event-source & listener (Michael)

libbonobo 1.117.0

	* Featurelets
		+ env var debugging conditionals (Jaka Mocnik)
			BONOBO_DEBUG=regs:aggregate:lifecycle:running:object

libbonobo 1.115.0

	* Bugs fixed
		+ SEEK_CUR rename (Murray Cumming)
		+ event_source fix (Stephane Demurget)

libbonobo 1.113.0

	* Bugs fixed
		+ GValue / Boxed type updates (Michael)
		+ kill bogus ListenerId typedef (Mark McLoughlin)
		+ update ORBit2 debugging blurb (Mark)
		+ global 'parent_class' privatised (Michael)

	* Featurelets
		+ event source efficiency fix (Michael)

libbonobo 1.112.0

	* Bugs fixed
		+ bonobo_closure_invoke leak fix (Tim Janik)
		+ build fixes (Gediminas Paulauskas, Jacob)

	* Featurelets
		+ make ref/unref more glib like (Michael)
		+ flag the deprecated & compat bits as such (Michael)

libbonobo 1.111.0

	* Bugs fixed
		+ item handler leak (Mark McLoughlin)
		+ deprecated cruft removal (Micahel)
		+ _WRITABLE for Americans (Michael)

libbonobo 1.110.0

	* Bugs fixed
		+ kill bogus shlib factory unregister
		+ setAttr needs a component_name
		+ fix aggregate ref count debug
		+ docs updates (Rodrigo Moya)
		+ update moniker linkage (Johan Dahlin)
		+ standardize conditional IDL compiles (Johan, Darin)

libbonobo 1.109.0

	* Features
		+ API documentation setup (John Fleck)
		+ Control Accessibility method (Me)
		+ always on Bonobo reference accounting (Me)

	* Bugs fixed
		+ update various GType bits (Me)
		+ generic factory fixage (Anders, Darin)
		+ improved GObject property mapping (Jacob)
		+ fixed item container signal (Jens Finke)
		+ marshaler fixage (Mark McLouglin)
		+ item handler fixage (Mark)
		+ C++ comments nailed (Mark)

libbonobo 1.108.0

	* Bugs fixed (Me)
		+ exception translation use right domain
		+ don't fiddle with ref at all if immortal
		+ build fixage (Jacob Berkman, Abel Cheung)
		+ Gergo's name is not spelt Gero, doh.

	* Featurelets (Me)
		+ imported docs from bonobo/
		+ moniker resolution has chatty exceptions
		+ install 'echo' in sample directory (Rodrigo)

libbonobo 1.107.0

	* Featurlets
		+ BONOBO_BOILERPLATE macros (Darin)
		+ Control IDL updates (Me)
		+ UI exception added (Me)
		+ accelerated object instantiation (Me, Mark)
		+ IDL spelling fixes (Darin)
		+ memory storage tests updates (Gergo Erdi)

	* Bugs fixed
		+ glib fixage (Owen, Miles Lane)
		+ moniker finalize chain (Me)
		+ bonobo-storage-memory fixage (Gergo Erdi)

libbonobo 1.106.0

	* Bonobo_Control IDL re-write (Me)
		+ improved Gdk / Gtk split out
		+ make Control / Frame work in converse
		+ add getAccessible for Bill
		+ cleaned, Java friendly sizing

	* BonoboObject (Me)
		+ bonobo_object_fast, new magic cast macro
		+ always on object accounting & warnings
		+ don't poke inside CORBA_Object
		+ remove bogus QI virtualization
		+ kill curious GType fiddling on QI.

	* Reference tracking (Me)
		+ bonobo_debug_shutdown to flag bugs
		+ scads of leaks fixed

	* beef up regression tests (Me)
		+ new magic casts consistency
		+ moniker equal tests
		+ fail on reference leaks

	* Factory fixes
		+ handle errors correctly (Jacob)
		+ shlib factory rationalized (Me)
		+ generic factory cleaned (Me)
		+ Generic factory - autoexit unref (Me)

	* Property Bag (Me)
		+ fixup mapping of Gtk+ properties
		+ lifecyle issues
		+ update GValue <-> CORBA_any mappings

	* Monikers
		+ implement Asynchronous monikers (Me)
		+ remove bogus virtualization (Me)
		+ moniker leak fix (Dirk-Jan)

	* Misc
		+ bonobo_exception_general_error (Me)
		+ remove bogus virt. on BonoboStorageMemory
		+ fixup listener construction (Iain Holmes)
		+ hold CORBA ref on Unknown in ping (Ettore)
		+ GValue issues & system_exception bug fix (Me)
		+ Type name standardization (Seth Nickell)

	* Build fixes
		+ parallel install (Abel Cheung, Havoc)
		+ header re-organisation (Jacob)
		+ misc. build fixage (Jacob)

libbonobo 1.103.0

	* Bug fixes
		* glib API tracking (Alex Larsson)
		* closure invocations (Me, Ariel Rios)
		* build system updates (Mark McLouglin, Havoc)
		* property bag segv (Me)
		* moniker escaping ABE (Me)
		* event source fix (Dan Winship)

	* Featurelets
		* improved regression tests (Me)
		* more ansification (Frank Belew)
		* several new translations

Bonobo 1.0.0

	* Documentation
		* Full C API documentation (Me, Miguel & John Sheets)
		* Lots of nice DIA diagrams (John Sheets)
		* preliminary UI XML DTD (Paolo)

	* Storage / Stream
		* fix symlink issues in fs storage (Vladimir Vukicevic)
		* fs storage permissions fix (Dietmar)
		* improved storage-fs / stream-fs mime typing (Jens Finke)

	* Event source / Listener
		* event-source fixes (Richard Hult)
		* event-source cleans (Dietmar)
		* event-source re-enterancy fix (Me)

	* Property Bag
		* batch property get/set impl. (Dietmar)
		* property bag client SEGV fix (Larry)
		* PropertyBag leak fixes (Iain Holmes)

	* Monikers
		* moniker file extender fix (Dietmar)
		* monikers memory leak fix (Dietmar)
		* moniker URL registry (Dietmar)

	* Any support logic
		* bonobo-arg fixes (Dietmar)
		* XML typecode reference fix (Dietmar)
		* Fix XML type coding bugs (Me)

	* UI handler bits
		* Revert unsafe attempt at AA pixbufs (Me)
		* minor XML de-merge logic fix (Me)
		* config fixes (Iain Holmes)
		* Always cleanup XML we hand out (Me)
		* pixmap <-> XML acceleration (John Harper)

	* Misc fixes
		* fix multiple translation issues (Me)
		* gshell fixes (Martin Baulig)
		* include config.h some more (Kjartan)
		* control / object destruction race fix (Darin)
		* Reduce control's memory footprint (Me)

Bonobo 0.37

	* Fix Bonobo Zoomable (Michael Engber)

	* Documentation fixage (John Sheets)

	* Any serialization xml supports aliases (Dietmar)

	* Listener / Event Source fixes (Dan Winship)

	* Bonobo Control fixage (Dan Winship)

	* UI str compare fixage (Darin Adler)

	* Cleanup config dialog (Cody Russell)

	* Publicised XObject type & bits (Me)

Bonobo 0.36

	* Convert print to BonoboXObject (Me) - forgot it.

	* Fix flicker issue (Me)

	* Remove bonobo-idl (Me)

	* Use nice type creation macro (Dietmar)

	* Toolbar control leak fix (Maciej)

Bonobo 0.35

	* BonoboXObject (Me)

	* Canvas fixes (Mike Kestner)
		* IDL cleanups
		* Misc bug fixage

	* UI handler
		* Toolbar shadow preference fix (Federico Mena)
		* Toolbar sizing problems (Ettore)
		* Builtin toolbar customization GUI & popup (Me)
		* UI configuration code (Me)
		* UI Menu rebuild acceleration (Me)
		* UI config Leak fixes (Iain)
		* Toolbar resize bug (Cody Russell)
		* Tearoff menu fixage (Me, Darin Adler)

	* Monikers
		* comparison method (Me)
		* stream cache moniker (Dietmar)

	* Misc new features
		* Use a Stream to transfer print data (Me)
		* Re-namespace IDL files (Me)
		* Property bag fixage (Dietmar)
		* Automatic shlib reference tracking (Dietmar)
		* Profiling config support (Pavel Cisler)
		* Zoomable interface expansion (Cody Russell)

	* Misc bug fixing
		* Leak fixes (Morten, Me)
		* Method chaining bugs (Me)
		* Depend on oaf >= 0.6.2 (Me)
		* LibIDL checks for bonobo-idl (Me)
		* Fix bonobo-idl build (Me)
		* function signature fix (George Lebl)
		* Stream moniker extender fix (Lutz Muller)
		* Calm ORBit warnings (Maciej Stachowiak)

	* Reference counting problems nailed (Owen, Me)

	* Begginings of keyboard focus fixage (Federico)

Bonobo 0.33

	* Fixed broken standard moniker id (Me)

	* Fix UI verb tracking leak (Me)

	* Fix old UI race condition (Me)

Bonobo 0.32

	* Monikers
		* Virtualized more of BonoboMoniker (Me)
		* Item container re-written (Me)
		* Item handler implemented (Miguel)

	* UI stuff (Me)
		* Substantialy re-factored
		* Acceleration (with Pavel)
		* Configuration engine
		* Toolbar customization dialog
		* Ignore Gtk+ keybinding assignment
		* Hide lots of internals
		* Docs updated
		* honour more GNOME prefs (Jacob)

	* Property Bag (Dietmar)
		* Improved exception handling
		* Reference leaks fixed
		* new Property listener methods
		* Property is an Unknown

	* Canvas Items (Mike Kestner)
		* Add event signal
		* Add grab / ungrab
		* Fix UI merging code
		* Update proxy creation

	* Fixed reference handling on addInterface (Dietmar)

	* Event Source updated (Dietmar)

	* Several reference leaks nailed (Dietmar)

	* Improved running context ref tracking (Dietmar)

	* Macros to reduce code complexity (Dietmar)

	* Header include cleanups (Jason Leach)

	* Conversion to xml-i18n-tools (Maciej)

	* Misc. bugs fixed (Darin, Eskil Olsen, Robin Slomkowski)

Bonobo 0.31

	* Serious bugs fixed
		* Depend on ORBit-0.5.6
		* Re-include Federico's Policy leak fixes.
		* Fix fatal toolbar icon bug (DanW)
		* memset fixes (George Lebl)

	* Monikers
		Drastic simplification of Moniker API (Me)
		Std monikers merged to shlib (Dietmar)
		Moniker extenders implemented (Dietmar, Me)
		Misc. fixes (Miguel)
		Parsing tests added (Me)
		Simplify interface naming on resolve (Me)

	* Property bag
		Listening re-written using EventSource (Dietmar)
		Use our own ID scheme to identity listeners (Dietmar)
		Allow sub-classing (George Lebl)

	* Running context to track references implemented (Me)

	* Useful cleanups
		* API documentation (Miguel, Me)
		* Make generic-factory sub-classable (Me)
		* Make the component selector control useful (Me)
		* Implement a shlib factory to handle module unloading (Me)
		* UI methods on Canvas embeddables (Me)
		* VFS storage fixes (Lutz Muller)
		* Persist fixes (Gergo Erdi)
		* Make bonobo-transient sub-classable (George Lebl)

	* Build & misc. bug fixes (Arturo Tena, Richard Hult, Dave Camp
	                           Daniel Egger, Maciej Stachowiak)


Bonobo 0.30

	* Released since Elliot would not produce a fixed ORBit release,
	reverts fixes in 0.29, should not pass distcheck.

Bonobo 0.29

	* Evil bugs
		* X / CORBA synchronisation issues fixed (Me)
		* Property bag / transient memory leaks fixed (Federico)
		* Toolbar widget leak (Darin Alder)
		* Lots of misc leaks nailed (Morten)
		* Bonobo plug / socket race condition nailed (Me)

	* Storage stuff
		* Local FS Stream / Storage impl. completed (Dietmar)
		* Efs stream / storage polished up (Dietmar)
		* VFS storage cleans (Me)
		* Bonobo IO plugins version fixage (Dietmar)
		* Storage module cleans, and regression testing (Dietmar)

	* Monikers
		* Bonobo widget switched to use monikers (Me)
		* Bonobo contexts - moniker context (Me)
		* tar moniker (Vladimir Vukicevic)
		* http, gunzip monikers (Joe Shaw)
		* moniker test code (Joe Shaw)
		* Asynchronous moniker resolution (Me)

	* New transient CORBA object helper (Miguel)

	* UI stuff
		* Alpha composited icons (for pixmap themes) (Cody Russell)
		* Control desired size querying (Martin)
		* Completed toolbar item 'look' markup (John Sullivan)
		* pixmap location code flexed (Martin)
		* placeholder can hide all its contents (Darin)
		* UI signaling race conditions nailed (Darin, Me)
		* Helpers for removing dead UI components (Maciej)

	* Misc
		* CORBA_any * <-> XML serialization (Me)
		* generic listener / event interface re-written (Alex Graveley)
		* Created component selector control (Me)
		* listener fixes (Iain Holmes)
		* BonoboPropertyControl implemented & honed (Iain)
		* Make each IDL file parse individualy (Mathieu Lacage)

	* Embeddable factory bug flattened (Mike Kestner)

	* Docs
		* API build cleanups (Zach Frey)
		* Lots of API doc writing / organising (Miguel)
		* doc/NAMESPACE added to start namespacing IDL (Me)

	* Lots of bugs fixed.

Bonobo 0.28

	* Fixes to XML translation to fix seperate build dir (Me)

	* Beautified XML translation script (Kenneth)

	* Fixes to allow perl relocation (Dan Winship)

	* Remove Gtk arg <-> property mapping sillyness (Radek Doulik)

Bonobo 0.27

	* New test environment for storage drivers (Dietmar)

	* Lots of internal stream / storage fixes (Dietmar)

	* API rename & documentation clean (Me)

	* Property bag fixes * improved ref debugging (Martin)

	* Lots of moniker (http, gzip) work (Joe Shaw)

	* Library versioning sorted (Ian Peters)

	* UI Leaks fixed (Me)

	* XML Translation scheme re-engineered (Kenneth)

	* Lots of API Documentation mending (Zach Frey)

Bonobo 0.26

	* Big Stream / Storage cleanups (Dietmar)

	* Use OAF more cleanly internaly (Joe Shaw)

	* Remove broken property preconditions (Me)

	* Property bag POA policy fix (Miguel)

	* Updated docs (Zach Frey)

	* text-plain fix (Martin)

	* Moniker improvements (Miguel)

	* Leak fix (George Lebl)

Bonobo 0.25

	* UI related bonobo-control-frame fix (Martin)

Bonobo 0.24

	* cleanup of storage / stream plugins (Dietmar)

	* toolbar control view update by orientation (Jon K Hellan

	* toolbar look update by orientation (Me)

	* verb / listener remove functions (Me)

Bonobo 0.23

	* fix pernicious UI widget parenting problem (Me)

	* nail translation problem finaly (Me)

	* fix licensing cockup GPL -> LGPL (Ettore)

	* update docs on accelerators (John)

	* impl toolbar control class (Jon K Hellan)

	* gdk_rgb_init fix for icons (Jody)

Bonobo 0.22

	* Several automake fixes (Martin)

Bonobo 0.21

	* UI handler changes (Me)

		+ cleaned XML spec.
		+ fixed evil translation problems
		+ sexy toolbar sizing (Ettore)
		+ expandable toolbar items (Ettore)
		+ more sophisticated toolbar layout (Andy)
		+ nicer looking separators (Cody Russell)
		+ all samples! converted to new UI handler (Martin)
		+ bug fixes (Larry, Andy, Darin, John)

	* Moniker fixes (Miguel)

	* Batch Property interface (Miguel)

	* More Zoomable work (Martin)

	* Big components clean (Martin)

	* Storage modules rename (Dietmar)

Bonobo 0.20

	* gshell fixes (Martin)

	* UI handler changes (Me)

		+ cleaning
		+ large UI API update
		+ UI flicker killed
		+ Improve cmd / widget separation
		+ full toolbar behavoir (John Sullivan)
		+ menue show / hide fix (Mathieu)

	* Update to LGPL 21. (Martin)

	* Socket fixes (Maciej)

	* Header cleans (Darin)

	* More cunning toolbar item sizing fixes (Andy)

	* Zoom interface imported from Nautilus (Martin)
	  Recieved with thanks from Eazel.

	* Skeleton generic listener interface (Me)



Bonobo 0.19

Main bits:

	* UI handler totaly re-implemented (Myself)

		+ New shinier Toolbar widget (Ettore, Jody)
		+ XML UI description
		+ XML node abstraction (Havoc)

	* Property bag Listener interface (Mike)

	* libefs updates (Dietmar)

	* New 'new:' moniker (Myself)

Bugs fixed:

	* UI leak fixes (Darin)

	* Text/Plain component sorted out (Maciej)
	

Bonobo 0.18

Paper bag release.


Bonobo 0.17

Main bits:

	* Monikers, total re-write along with some standard
	  monikers, 'file', 'oafiid', 'item' (Myself)

	* Aggregate Object finalization bug nailed (Federico)

	* Switched to a single Oaf build (Gnorba is no longer
          supported) cleaning loads of cruft, object activation 
	  cleaned, bonobo-selector API shrunk (Myself)

	* Bonobo has been split into GUI-less and GUI versions of
          Bonobo (bonobo, bonobox libraries to assist non-gui Bonobo 
	  component development (Myself).

	* Property Bag Client - new more flexible helper
	  interface removing BonoboObjectClient (Myself)

Bugs fixed:

	* Bonobo-Widget bug nailed (Dan)
	
	* Evil, fatal, intermittent plug / socket unrealize bug
	inherited from Gtk fixed (Federico, Myself)

	* UI handler bugs nailed (Darin, Myself, Peter Williams)

	* Blocking problems in listners fixed (Ettore)

	* Spec file sorted (Robin Slomkowski)

	* Updated docs/refcounting.txt and enforced inter object
	  ref counting policy globaly

	* Various naming daftnesses cleaned (Gergo)
